=== kaddressbook/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(editorpages)
add_subdirectory(plugins)
add_subdirectory(importexportplugins)
