=== examples/messageviewergrantleetheme/CMakeLists.txt ===
install(DIRECTORY themes DESTINATION ${KDE_INSTALL_DATADIR}/messageviewer)
