=== debian/changelog ===
kdepim-addons (25.08.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Replace dbus-dependency with dbus-daemon (Closes: #1122616).

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Dec 2025 16:13:04 +0100

kdepim-addons (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:13 +0100

kdepim-addons (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Add patch to match the version of librust-adblock-dev.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:26:07 +0100
