=== kmail/editorplugins/insertshorturl/shorturlengineplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(tinyurlengineplugin/)
add_subdirectory(isgdshorturlengineplugin)
add_subdirectory(triopabshorturlengineplugin/)
