=== debian/changelog ===
kdepim-addons (25.08.3+p24.04+vunstable+git20251204.0342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:42:22 +0000

kdepim-addons (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:31 +1000
