=== debian/changelog ===
kdepim-addons (25.08.3+p24.04+vunstable+git20251206.1032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 10:32:10 +0000
