## kdepim-addons 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
@@ -76,8 +77,8 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
-set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "${KTEXTADDONS_MIN_VERSION}")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.8.0")
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 
@@ -119,31 +120,31 @@
     find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-set(MAILCOMMON_LIB_VERSION "6.6.40")
-set(GRAVATAR_LIB_VERSION "6.6.40")
-set(PIMCOMMON_LIB_VERSION "6.6.40")
-set(GRANTLEETHEME_LIB_VERSION "6.6.40")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.6.40")
-set(LIBKLEO_LIB_VERSION "6.6.40")
-set(AKONADI_LIB_VERSION "6.6.40")
-set(INCIDENCEEDITOR_LIB_VERSION "6.6.40")
-set(KTNEF_LIB_VERSION "6.6.40")
-set(MESSAGELIB_LIB_VERSION "6.6.40")
-set(AKONADICALENDAR_LIB_VERSION "6.6.40")
-set(CALENDAR_UTILS_VERSION "6.6.40")
-set(KPIMTEXTEDIT_LIB_VERSION "6.6.40")
-set(KIMAP_LIB_VERSION "6.6.40")
-set(LIBKSIEVE_LIB_VERSION "6.6.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
-set(AKONADICONTACT_LIB_VERSION "6.6.40")
-set(IMPORTWIZARD_LIB_VERSION "6.6.40")
-set(MAILIMPORTER_LIB_VERSION "6.6.40")
-set(KPIMPKPASS_LIB_VERSION "6.6.40")
-set(KPIMITINERARY_LIB_VERSION "6.6.40")
-set(KPIM_MIME_VERSION "6.6.40")
-set(KLDAP_LIB_VERSION "6.6.40")
+set(MAILCOMMON_LIB_VERSION "6.5.80")
+set(GRAVATAR_LIB_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(GRANTLEETHEME_LIB_VERSION "6.5.80")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.5.80")
+set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.80")
+set(LIBKLEO_LIB_VERSION "6.5.80")
+set(AKONADI_LIB_VERSION "6.5.80")
+set(INCIDENCEEDITOR_LIB_VERSION "6.5.80")
+set(KTNEF_LIB_VERSION "6.5.80")
+set(MESSAGELIB_LIB_VERSION "6.5.80")
+set(AKONADICALENDAR_LIB_VERSION "6.5.80")
+set(CALENDAR_UTILS_VERSION "6.5.80")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.80")
+set(KIMAP_LIB_VERSION "6.5.80")
+set(LIBKSIEVE_LIB_VERSION "6.5.80")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
+set(AKONADICONTACT_LIB_VERSION "6.5.80")
+set(IMPORTWIZARD_LIB_VERSION "6.5.80")
+set(MAILIMPORTER_LIB_VERSION "6.5.80")
+set(KPIMPKPASS_LIB_VERSION "6.5.80")
+set(KPIMITINERARY_LIB_VERSION "6.5.80")
+set(KPIM_MIME_VERSION "6.5.80")
+set(KLDAP_LIB_VERSION "6.5.80")
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -214,6 +215,10 @@
             PURPOSE "Required for building AI plugins support"
             DESCRIPTION "Use AI plugin"
     )
+
+    if(${KF6TextAutoGenerateText_VERSION} VERSION_GREATER_EQUAL 1.8.63)
+        set(HAVE_NEW_TOOLS_PLUGINS_SUPPORT TRUE)
+    endif()
 endif()
 
 find_package(KPim6Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
@@ -255,7 +260,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.4.0")
+            find_package(PlasmaActivities "6.3.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES
@@ -269,6 +274,15 @@
         endif()
     endif()
 endif()
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.41)
+    set(HAVE_TEXTUTILS_SYNTAXHIGHLIGTHER_SUPPORT TRUE)
+endif()
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.48)
+    set(HAVE_TEXTUTILS_QUICKSEARCH_SUPPORT TRUE)
+endif()
+
 
 configure_file(
     config-kdepim-addons.h.in
@@ -367,16 +381,3 @@
     OFF
 )
 
-add_subdirectory(plugins)
-add_subdirectory(korganizer)
-add_subdirectory(kmail)
-add_subdirectory(kaddressbook)
-add_subdirectory(sieveeditor)
-add_subdirectory(kmailtransport)
-add_subdirectory(kldap)
-if(TARGET KPim6::ImportWizard)
-    add_subdirectory(akonadi-import-wizard)
-endif()
-if(TARGET KF6::TextAutoGenerateText)
-    add_subdirectory(pimautogeneratetext)
-    add_subdirectory(kaichat-plugins)
