=== plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(customtoolsplugins)
add_subdirectory(messageviewerplugins)
add_subdirectory(messageviewerheaderplugins)
add_subdirectory(messageviewer)
add_subdirectory(plasma)

add_subdirectory(webengineurlinterceptor)
add_subdirectory(templateparser)
add_subdirectory(messageviewerconfigureplugins)
