=== sieveeditor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"sieveeditor_plugins\")
add_subdirectory(imapfoldercompletion)
add_subdirectory(emaillineedit)
